Subject: [Sip] Question on draft-ietf-sip-outbound-20 draft: multiple flow creation

From: "Vavilapalli Srikanth-A19563" <[email-masked]>
Date: Thu, 27 Aug 2009 22:57:22 +0800

Hi
 
As specified in section 3.3/3.4 of draft-ietf-sip-outbound-20 draft, If
a UA is configured with a outbound-proxy-set with two proxy uris:
"sip:primary.example.com" and "sip:secondary.example.com" And for
example, "sip:primary.example.com" got DNS resolved in to two SRV
records "Host1" and "Host2" and "sip:secondary.example.com" got DNS
resolved in to "Host3" and "Host4", Should UA create four FLOWs, One
with each host OR just two FLOWs, one with each proxy URI(i.e one flow
with either Host1 or Host2 and second flow with Host3 or Host4)?
 
Please clarify.
 
Regards
Srikanth

---

From: "Francois Audet" <[email-masked]>
Date: Thu, 27 Aug 2009 10:51:59 -0500

You would have 2. One for primary, and one for secondary. For each one of those, you would use normal RFC 3263 procedures for determining which SRV record to use.

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of Vavilapalli Srikanth-A19563
	Sent: Thursday, August 27, 2009 07:57
	To: [email-masked]
	Subject: [Sip] Question on draft-ietf-sip-outbound-20 draft: multiple flowcreation

	Hi
	 
	As specified in section 3.3/3.4 of draft-ietf-sip-outbound-20 draft, If a UA is configured with a outbound-proxy-set with two proxy uris: "sip:primary.example.com" and "sip:secondary.example.com" And for example, "sip:primary.example.com" got DNS resolved in to two SRV records "Host1" and "Host2" and "sip:secondary.example.com" got DNS resolved in to "Host3" and "Host4", Should UA create four FLOWs, One with each host OR just two FLOWs, one with each proxy URI(i.e one flow with either Host1 or Host2 and second flow with Host3 or Host4)?
	 
	Please clarify.
	 
	Regards
	Srikanth

---

From: "Vavilapalli Srikanth-A19563" <[email-masked]>
Date: Fri, 28 Aug 2009 22:46:02 +0800

Hi
 
Thanks for the reply..One more of clarification required..
 
So If UA wishes to create multiple transport flows with
"sip:primary.example.com"(As specified in
draft-ietf-sip-outbound-20#section-13 to honor RFC3261 requirement for
message size greater than MTU), would it be OK it one FLOW lands on
Host1 and other FLOW lands on Host2?
 
i.e for example if "sip:primary.example.com" got resolved into (IP1,
Port1, TCP) -> (IP2, Port2, TCP) -> (IP2, Port2, UDP) -> (IP1, Port1,
UDP) in that order, and if UA wises to create both TCP and UDP FLOWs
with "sip:primary.example.com", then it starts creating TCP FLOW with
(IP1, Port1, TCP) and can create a UDP FLOW with (IP2, Port2, UDP) based
on RFC 3263 procedures. Is my understanding correct here? 
 
In the above example, if (IP1) is down/crashed for some reasons, then
"sip:primary.example.com", can never use the TCP FLOW for transporting
inbound messages to that UA (Even though the IP1 and IP2 are state
synchronized) until User Agent detects the FLOW failure with (IP1) and
re-create the TCP FLOW with (IP1 or IP2). Is my understanding correct
here?
 
Please clarify..
 
Regard
Srikanth

From: Francois Audet [mailto:[email-masked]] 
Sent: Thursday, August 27, 2009 9:22 PM
To: Vavilapalli Srikanth-A19563; [email-masked]
Subject: RE: [Sip] Question on draft-ietf-sip-outbound-20 draft:
multiple flowcreation

You would have 2. One for primary, and one for secondary. For each one
of those, you would use normal RFC 3263 procedures for determining which
SRV record to use.

	From: [email-masked] [mailto:[email-masked]] On
Behalf Of Vavilapalli Srikanth-A19563
	Sent: Thursday, August 27, 2009 07:57
	To: [email-masked]
	Subject: [Sip] Question on draft-ietf-sip-outbound-20 draft:
multiple flowcreation

	Hi
	 
	As specified in section 3.3/3.4 of draft-ietf-sip-outbound-20
draft, If a UA is configured with a outbound-proxy-set with two proxy
uris: "sip:primary.example.com" and "sip:secondary.example.com" And for
example, "sip:primary.example.com" got DNS resolved in to two SRV
records "Host1" and "Host2" and "sip:secondary.example.com" got DNS
resolved in to "Host3" and "Host4", Should UA create four FLOWs, One
with each host OR just two FLOWs, one with each proxy URI(i.e one flow
with either Host1 or Host2 and second flow with Host3 or Host4)?
	 
	Please clarify.
	 
	Regards
	Srikanth

---

From: "Vavilapalli Srikanth-A19563" <[email-masked]>
Date: Fri, 28 Aug 2009 22:46:02 +0800

Hi

 

Please clarify..
 
Regard
Srikanth

	Hi

	Please clarify.
	 
	Regards
	Srikanth

---

From: "Francois Audet" <[email-masked]>
Date: Fri, 28 Aug 2009 13:52:40 -0500

I honestly don't know why anybody would want to do both UDP and TCP.
 
(In other words, if you set up a TCP flow, I don't see a benefit in also setting up a UDP flow which you will have to maintain for keep alives).

	From: [email-masked] [mailto:[email-masked]] On Behalf Of Vavilapalli Srikanth-A19563
	Sent: Friday, August 28, 2009 07:46
	To: Audet, Francois (SC100:3055); [email-masked]; [email-masked]; [email-masked]
	Subject: Re: [Sip] Question on draft-ietf-sip-outbound-20 draft: multipleflowcreation

	Hi

	So If UA wishes to create multiple transport flows with "sip:primary.example.com"(As specified in draft-ietf-sip-outbound-20#section-13 to honor RFC3261 requirement for message size greater than MTU), would it be OK it one FLOW lands on Host1 and other FLOW lands on Host2?
	 
	i.e for example if "sip:primary.example.com" got resolved into (IP1, Port1, TCP) -> (IP2, Port2, TCP) -> (IP2, Port2, UDP) -> (IP1, Port1, UDP) in that order, and if UA wises to create both TCP and UDP FLOWs with "sip:primary.example.com", then it starts creating TCP FLOW with (IP1, Port1, TCP) and can create a UDP FLOW with (IP2, Port2, UDP) based on RFC 3263 procedures. Is my understanding correct here? 
	 
	In the above example, if (IP1) is down/crashed for some reasons, then "sip:primary.example.com", can never use the TCP FLOW for transporting inbound messages to that UA (Even though the IP1 and IP2 are state synchronized) until User Agent detects the FLOW failure with (IP1) and re-create the TCP FLOW with (IP1 or IP2). Is my understanding correct here?
	 
	Please clarify..
	 
	Regard
	Srikanth

	From: Francois Audet [mailto:[email-masked]] 
	Sent: Thursday, August 27, 2009 9:22 PM
	To: Vavilapalli Srikanth-A19563; [email-masked]
	Subject: RE: [Sip] Question on draft-ietf-sip-outbound-20 draft: multiple flowcreation

		Hi

		Please clarify.
		 
		Regards
		Srikanth

---

From: "Francois Audet" <[email-masked]>
Date: Fri, 28 Aug 2009 13:52:40 -0500

Hi

	 

	Please clarify..
	 
	Regard
	Srikanth

		Hi

		Please clarify.
		 
		Regards
		Srikanth

---

From: "Vavilapalli Srikanth-A19563" <[email-masked]>
Date: Mon, 31 Aug 2009 22:33:45 +0800

True, UDP flow may not be required if TCP flow has been setup to route
incoming traffic towards UA. But Won't it be an additional bonus if UA
creates a UDP FLOW in addition to TCP FLOW, so that network can still
reach the UA over the other transport FLOW when one FLOW is down (Unless
if both FLOWs got created with same host and all the FLOWs connected to
that host is down)? 
 
Also assume a UA has some local policy to prefer UDP transport over TCP
to transmit the outgoing SIP messages of size less than MTU. In such
scenarios, UA might want to establish both UDP and TCP FLOWs with the
same edge proxy and keep alive both the connections and use the
corresponding FLOW based on DNS lookup preferences and User's local
policy preferences to transport outgoing messages.

From: Francois Audet [mailto:[email-masked]] 
Sent: Saturday, August 29, 2009 12:23 AM
To: Vavilapalli Srikanth-A19563; [email-masked]; [email-masked];
[email-masked]
Subject: RE: [Sip] Question on draft-ietf-sip-outbound-20 draft:
multipleflowcreation

(In other words, if you set up a TCP flow, I don't see a benefit in also
setting up a UDP flow which you will have to maintain for keep alives).

	From: [email-masked] [mailto:[email-masked]] On
Behalf Of Vavilapalli Srikanth-A19563
	Sent: Friday, August 28, 2009 07:46
	To: Audet, Francois (SC100:3055); [email-masked];
[email-masked]; [email-masked]
	Subject: Re: [Sip] Question on draft-ietf-sip-outbound-20 draft:
multipleflowcreation

	Hi

	 
	i.e for example if "sip:primary.example.com" got resolved into
(IP1, Port1, TCP) -> (IP2, Port2, TCP) -> (IP2, Port2, UDP) -> (IP1,
Port1, UDP) in that order, and if UA wises to create both TCP and UDP
FLOWs with "sip:primary.example.com", then it starts creating TCP FLOW
with (IP1, Port1, TCP) and can create a UDP FLOW with (IP2, Port2, UDP)
based on RFC 3263 procedures. Is my understanding correct here? 
	 
	In the above example, if (IP1) is down/crashed for some reasons,
then "sip:primary.example.com", can never use the TCP FLOW for
transporting inbound messages to that UA (Even though the IP1 and IP2
are state synchronized) until User Agent detects the FLOW failure with
(IP1) and re-create the TCP FLOW with (IP1 or IP2). Is my understanding
correct here?
	 
	Please clarify..
	 
	Regard
	Srikanth

	You would have 2. One for primary, and one for secondary. For
each one of those, you would use normal RFC 3263 procedures for
determining which SRV record to use.

		From: [email-masked] [mailto:[email-masked]]
On Behalf Of Vavilapalli Srikanth-A19563
		Sent: Thursday, August 27, 2009 07:57
		To: [email-masked]
		Subject: [Sip] Question on draft-ietf-sip-outbound-20
draft: multiple flowcreation

		Hi
		 
		As specified in section 3.3/3.4 of
draft-ietf-sip-outbound-20 draft, If a UA is configured with a
outbound-proxy-set with two proxy uris: "sip:primary.example.com" and
"sip:secondary.example.com" And for example, "sip:primary.example.com"
got DNS resolved in to two SRV records "Host1" and "Host2" and
"sip:secondary.example.com" got DNS resolved in to "Host3" and "Host4",
Should UA create four FLOWs, One with each host OR just two FLOWs, one
with each proxy URI(i.e one flow with either Host1 or Host2 and second
flow with Host3 or Host4)?
		 
		Please clarify.
		 
		Regards
		Srikanth

---

From: "Vavilapalli Srikanth-A19563" <[email-masked]>
Date: Mon, 31 Aug 2009 22:33:45 +0800

Hi

	 

	Please clarify..
	 
	Regard
	Srikanth

		Hi

		Please clarify.
		 
		Regards
		Srikanth

---

From: "Scott Lawrence" <[email-masked]>
Date: Mon, 31 Aug 2009 12:31:05 -0400

On Mon, 2009-08-31 at 22:33 +0800, Vavilapalli Srikanth-A19563 wrote:
> reach the UA over the other transport FLOW when one FLOW is down
> (Unless if both FLOWs got created with same host and all the FLOWs
> connected to that host is down)? 
>  
> Also assume a UA has some local policy to prefer UDP transport over
> TCP to transmit the outgoing SIP messages of size less than MTU. In
> such scenarios, UA might want to establish both UDP and TCP FLOWs with
> the same edge proxy and keep alive both the connections and use the

That would not be a very sensible proxy if the phone is behind a NAT and
supports TCP.

---

From: "Scott Lawrence" <[email-masked]>
Date: Mon, 31 Aug 2009 12:31:05 -0400

---

From: "Scott Lawrence" <[email-masked]>
Date: Mon, 31 Aug 2009 12:55:51 -0400

> That would not be a very sensible proxy if the phone is behind a NAT and

s/proxy/policy/

---

From: "Scott Lawrence" <[email-masked]>
Date: Mon, 31 Aug 2009 12:55:51 -0400

s/proxy/policy/

---

From: "Francois Audet" <[email-masked]>
Date: Mon, 31 Aug 2009 12:11:03 -0500

I would tend to disagree that a policy of "Use UDP preferably
and switch to TCP if message is too big" is a good policy. Especially
considering that you'd have to keep the TCP connection alive anyways.

I believe that always using the TCP connection in this case would
make more sense.

But it's definitively legal.

> -----Original Message-----
> From: Lawrence, Scott (BL60:9D30) 
> Sent: Monday, August 31, 2009 09:56
> To: Vavilapalli Srikanth-A19563
> Cc: Audet, Francois (SC100:3055); [email-masked]; 
> > > True, UDP flow may not be required if TCP flow has been setup to 
> > > route incoming traffic towards UA. But Won't it be an additional 
> > > bonus if UA creates a UDP FLOW in addition to TCP FLOW, so that 
> > > network can still reach the UA over the other transport FLOW when 
> > > one FLOW is down (Unless if both FLOWs got created with same host 
> > > and all the FLOWs connected to that host is down)?
> > >  
> > > such scenarios, UA might want to establish both UDP and TCP FLOWs 
> > > with the same edge proxy and keep alive both the 
> connections and use 
> > > the corresponding FLOW based on DNS lookup preferences and User's 
> > > local policy preferences to transport outgoing messages.
> > 
> > That would not be a very sensible proxy if the phone is 
> behind a NAT 
> > and supports TCP.
> 
> s/proxy/policy/
> 
> 
> 
>

---

From: "Francois Audet" <[email-masked]>
Date: Mon, 31 Aug 2009 12:11:03 -0500